Subject: Re: [TR] Removing carpet glue

From: Brad Kahler <[email-masked]>
Date: Mon, 1 Dec 2014 08:49:26 -0500

Just a quick follow up.  I was unable to find Klean Strip adhesive remover
locally so I bought a can of Goof Off and tried it.  I'm happy to say that
the Goof Off worked great on cleaning up the glue residue.  Not sure what
kind of glue the PO used but it doesn't appear to have been contact cement.

Thanks for all the replies!

Brad

> -----Original Message----- From: Brad Kahler
> Sent: Tuesday, November 25, 2014 8:09 AM
> To: Triumphs
> Subject: [TR] Removing carpet glue
>
> The previous owner of my TR6 replaced the original carpet years ago with a
> cheap black carpet set that he glued in place.  Late last night I managed
> to get all of the carpet pulled up and am now looking for methods of
> removing the old glue (brown in color) from the floorboards and elsewhere.
>
> From my brief google searches it seems that carpet glue is close to
> impossible to remove.  this is not exactly what I wanted to hear!
>
> Any suggestions on methods that you've tried that actually worked?
>
> I'm hoping to get this task done over the Thanksgiving weekend.
>
> Thanks!
>
> Brad
> 1972 TR6
> 1963 TR4
>
> ** [email-masked] **
>
> Donate: http://www.team.net/donate.html
> Archive: http://www.team.net/archive
> Forums: http://www.team.net/forums
> Unsubscribe/Manage: http://autox.team.net/mailman/
> options/triumphs/[email-masked]

** [email-masked] **

Archive: http://www.team.net/archive